#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
import os.path
import pynotify

__path__ = os.getcwd()

class UbuntuTips:
    """Return random tip"""
    def __init__(self, conf, path = None):
        """init some variables"""
        self.conf = conf
        if path == None:
            self.path = __path__
        else:
            self.path = path

    def show_notify(self, body):
        """show tip using Notification"""
        (self.TimePeriod) = self.conf.get_settings()
        icon = 'file://' + self.path + '/ubuntutips-logo.png'
        title = 'Ubuntu Tips'
        notif = pynotify.Notification(title, body, icon);
        notif.show()
        

if __name__ == '__main__':
    import Preference
    conf = Preference.Config()
